Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 768ae1503904b0987abbbacc6dede399e63a148b)
+++ chapter01/changelog.xml	(revision bdc9e03b781ef2e4731cb45dfe3919cfb460d764)
@@ -41,4 +41,30 @@
     -->
     <listitem>
+      <para>2021-12-01</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to vim-8.2.3704. Addresses
+          <ulink url="&lfs-ticket-root;4500">#4500</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iana-etc-20211124. Fixes
+          <ulink url="&lfs-ticket-root;4957">#4957</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bc-5.2.1. Fixes
+          <ulink url="&lfs-ticket-root;4959">#4959</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to meson-0.60.2. Fixes
+          <ulink url="&lfs-ticket-root;4960">#4960</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.15.5. Fixes
+          <ulink url="&lfs-ticket-root;4956">#4956</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2021-11-15</para>
       <itemizedlist>
Index: chapter03/packages.xml
===================================================================
--- chapter03/packages.xml	(revision 768ae1503904b0987abbbacc6dede399e63a148b)
+++ chapter03/packages.xml	(revision bdc9e03b781ef2e4731cb45dfe3919cfb460d764)
@@ -770,5 +770,5 @@
             The version of vim changes daily. To get the latest version, go to
             <ulink url="https://github.com/vim/vim/releases">
-            https://github.com/vim/vim/releases</ulink>.
+            https://github.com/vim/vim/tags</ulink>.
           </para>
         </note>
Index: packages.ent
===================================================================
--- packages.ent	(revision 768ae1503904b0987abbbacc6dede399e63a148b)
+++ packages.ent	(revision bdc9e03b781ef2e4731cb45dfe3919cfb460d764)
@@ -59,8 +59,8 @@
 <!ENTITY bash-fin-sbu "1.6 SBU">
 
-<!ENTITY bc-version "5.2.0">
-<!ENTITY bc-size "426 KB">
+<!ENTITY bc-version "5.2.1">
+<!ENTITY bc-size "421 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
-<!ENTITY bc-md5 "5f7f07d0c8a7ad873f29ce2bbd5f9294">
+<!ENTITY bc-md5 "19dbb20c3aba33acacec29edd0b2c46e">
 <!ENTITY bc-home "https://git.yzena.com/gavin/bc">
 <!ENTITY bc-fin-du "6.7 MB">
@@ -322,8 +322,8 @@
 <!ENTITY gzip-fin-sbu "0.1 SBU">
 
-<!ENTITY iana-etc-version "20211112">
-<!ENTITY iana-etc-size "580 KB">
+<!ENTITY iana-etc-version "20211124">
+<!ENTITY iana-etc-size "581 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "a755b79e0399fd05509b9dc36c43e75e">
+<!ENTITY iana-etc-md5 "87369b0d97004ea0a6eb91293f221dee">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.7 MB">
@@ -395,8 +395,8 @@
 <!ENTITY lfs-bootscripts-cfg-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.60">
-<!ENTITY libcap-size "167 KB">
+<!ENTITY libcap-version "2.61">
+<!ENTITY libcap-size "170 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "1eaaf6af4e0ebd638cd876644c8c68c4">
+<!ENTITY libcap-md5 "3bf105e47a8671035a0ce0812185c5e4">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
 <!ENTITY libcap-fin-du "3.2 MB">
@@ -429,10 +429,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "15">
-<!ENTITY linux-patch-version "2">
+<!ENTITY linux-patch-version "5">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "119,043 KB">
+<!ENTITY linux-size "119,071 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "4e0f11f01e157a3d8d7a63c72bedb96f">
+<!ENTITY linux-md5 "3b3c90c96227030643ff4c1c191e415e">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.13.4 / gcc-11.1.0 on x86_64 : minimum is
@@ -492,8 +492,8 @@
 <!ENTITY markupsafe-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.60.1">
-<!ENTITY meson-size "1,949 KB">
+<!ENTITY meson-version "0.60.2">
+<!ENTITY meson-size "1,952 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "77e41dfa4bc456e03b674537b813328b">
+<!ENTITY meson-md5 "48a898e25f35e57a1b72c2b578884960">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-fin-du "40 MB">
@@ -721,11 +721,11 @@
 <!ENTITY util-linux-fin-sbu "1.1 SBU">
 
-<!ENTITY vim-version "8.2.3508">
+<!ENTITY vim-version "8.2.3704">
 <!ENTITY vim-majmin "82">
 <!ENTITY vim-docdir "vim/vim82">
-<!ENTITY vim-size "15,386 KB">
+<!ENTITY vim-size "15,535 KB">
 <!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
 <!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">
-<!ENTITY vim-md5 "f6004d3e776040e2301a1967975d00d1">
+<!ENTITY vim-md5 "c17fa95d80e1bda12c1fb11682f9e162">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-fin-du "199 MB">
